Page({
    data: {
        loading: false,
        tabActive: "Standard"
    },
    onLoad(options) {
        if (options.type) this.setData({
            tabActive: options.type
        })
        this.getList()
    },
    tabChange(e) {
        this.setData({
            tabActive: e.detail.name
        });
        this.getList();
    },
    getList() {
        let page = this.selectComponent("#" + this.data.tabActive);
        page.data.isGet || page.getList();
    }
})